package doctor.service.impl;

import doctor.domain.entity.DoctorEntity;
import doctor.mapper.DoctorMapper;
import doctor.service.DoctorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.service.impl
 * @Author: jpz
 * @CreateTime: 2024/1/15 11:45
 */
@Service
public class DoctorServiceimpl implements DoctorService {
    @Autowired
    private DoctorMapper doctorMapper;

    @Override
    public List<DoctorEntity> findDoctorList(Integer deptId) {
        return doctorMapper.findDoctorList(deptId);
    }
}
